Page MenuHomePhabricator

Deploy Growth features on Croatian Wikipedia
Closed, ResolvedPublicMar 17 2021

Description

Translations

Help panel

Mentorship module (optional)

Suggested edits

Suggested edits are based on these 5 task-types. At the moment, they can't be substituted. Please check maintenance template and links:

For templates only, you can suggest more templates that match the task description.

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 667692 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable Growth features on hrwiki in stealth mode

https://gerrit.wikimedia.org/r/667692

Change 667692 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Growth features on hrwiki in stealth mode

https://gerrit.wikimedia.org/r/667692

Mentioned in SAL (#wikimedia-operations) [2021-03-01T19:52:41Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: d53834e: Enable Growth features on hrwiki in stealth modeEnable Growth features on hrwiki in stealth mode (1/3; T275684) (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2021-03-01T19:53:58Z] <urbanecm@deploy1001> Synchronized dblists/growthexperiments.dblist: d53834e: Enable Growth features on hrwiki in stealth modeEnable Growth features on hrwiki in stealth mode (2/3; T275684) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-03-01T19:54:18Z] <urbanecm@deploy1001> sync-file aborted: d53834e: Enable Growth features on hrwiki in stealth modeEnable Growth features on hrwiki in stealth mode (3/3; T275684) (duration: 00m 03s)

Mentioned in SAL (#wikimedia-operations) [2021-03-01T19:55:24Z] <urbanecm@deploy1001> Synchronized wmf-config/config/hrwiki.yaml: d53834e: Enable Growth features on hrwiki in stealth modeEnable Growth features on hrwiki in stealth mode (3/3; T275684) (duration: 00m 54s)

Done. For the record, this is the current task pool:

1[urbanecm@mwmaint1002 ~]$ mwscript extensions/GrowthExperiments/maintenance/listTaskCounts.php --wiki=hrwiki Topic copyedit references update expand links -------------------------------------------------------------------------------- architecture 3 9 1 26 0
2music 42 111 5 28 5
3literature 11 42 1 29 7
4fashion 3 6 0 9 1
5performing-arts 1 2 0 4 1
6sports 60 158 58 87 12
7comics-and-anime 6 13 0 8 0
8tv-and-film 21 87 1 39 6
9art 21 29 0 55 4
10video-games 14 16 1 29 4
11entertainment 16 32 1 27 3
12society 64 189 13 195 20
13philosophy-and-religion 14 105 0 56 10
14food-and-drink 4 23 0 31 3
15education 3 20 1 23 3
16politics-and-government 22 71 9 68 11
17business-and-economics 18 43 7 72 7
18history 35 201 1 79 10
19transportation 15 29 4 102 1
20military-and-warfare 32 98 1 77 3
21biography 139 508 50 160 35
22women 14 63 7 16 5
23biology 18 72 1 71 14
24physics 4 23 2 56 0
25engineering 3 13 2 25 1
26chemistry 2 21 0 15 3
27mathematics 1 9 0 12 1
28medicine-and-health 13 48 0 30 3
29general-science 102 270 12 426 42
30computers-and-internet 34 67 8 121 13
31technology 17 47 10 113 5
32earth-and-environment 18 28 1 43 3
33africa 15 19 2 7 1
34asia 29 114 6 79 8
35europe 134 620 60 223 34
36south-america 11 14 3 10 2
37oceania 4 16 1 20 0
38north-america 36 77 4 43 6
39central-america 0 3 1 7 0
40[urbanecm@mwmaint1002 ~]$

Please ping me once it's time to deploy to all newcomers, or to change anything.

Mentioned in SAL (#wikimedia-operations) [2021-03-02T00:35:22Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: REDEPLOY: d53834e9460ea6321e50401cda9e53d9f74c545e: Enable Growth features on hrwiki in stealth mode (1/3; T275684) (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2021-03-02T00:36:35Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: REDEPLOY: d53834e9460ea6321e50401cda9e53d9f74c545e: Enable Growth features on hrwiki in stealth mode (2/3; T275684) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-03-02T00:37:56Z] <urbanecm@deploy1002> Synchronized wmf-config/config/hrwiki.yaml: REDEPLOY: d53834e9460ea6321e50401cda9e53d9f74c545e: Enable Growth features on hrwiki in stealth mode (3/3; T275684) (duration: 00m 56s)

Checked - all seem to be in place. I'll keep the ticket in QA column to recheck after deployment in real mode.

Trizek-WMF set Due Date to Mar 16 2021, 11:00 PM.Mar 3 2021, 6:24 PM

Hi folx - is it possible to test use this on HR Wikipedia without full translation? Most younger Croatians actually only know English terminology of interfaces as very few apps are translated and localized anyway. I would like to try to show it to a few I plan to work with. Best Z

Hi folx - is it possible to test use this on HR Wikipedia without full translation? Most younger Croatians actually only know English terminology of interface as very few apps are translated and localized anyway. I would like to trey to show it to a few I plan to work with. Best Z

UI language can be switched to English in User preferences. Or uselang=en can be used as an URL parameter to see the page in English.

@Urbanecm_WMF - Since hrwiki does not have Mentor list, the https://hr.wikipedia.org/wiki/Posebno:Tvrde_prido%C5%A1lica?uselang=en displays [[]] istead of the Mentor list page. Do you think it'd be worth improving the error message on the page?

@Zblace -- you can try out the features now by turning them on in your preferences. Go to the "User profile" tab in your preferences and turn on the two "homepage" checkboxes on the bottom. Then go to the "Editing" tab and turn on the help panel checkbox. Does that work for you?

Urbanecm_WMF changed the subtype of this task from "Task" to "Deadline".Mar 9 2021, 5:23 PM
Urbanecm_WMF changed Due Date from Mar 16 2021, 11:00 PM to Mar 17 2021, 8:00 PM.Mar 16 2021, 8:47 AM

We have a small delay regarding this deployment.

Change 673316 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] hrwiki: Deploy Growth features to newcomers

https://gerrit.wikimedia.org/r/673316

Change 673316 merged by jenkins-bot:
[operations/mediawiki-config@master] hrwiki: Deploy Growth features to newcomers

https://gerrit.wikimedia.org/r/673316

Mentioned in SAL (#wikimedia-operations) [2021-03-18T18:17:18Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 44eddcc: hrwiki: Deploy Growth features to newcomers (T275684) (duration: 01m 08s)

(sorry for delays - crazy weeks here)

I think it works, if this is what I am supposed to get rendered...

So if I want to do this for new users *(I teach intro both tomorrow / 14h from now and next week)...
I should instruct all to go to this option...what else should I know in advance? (is there a video demo? think I saw some...)

Would it be OK that I (or Admins) open 35 student accounts to pass on
and have this setup so it is lirealy in place when they open it for the first time?
(its the first year students of journalism and only second semester
so they are still fairly confused with technology that is not mobile app :-)

I only have one hour with tham so I am afraid to loose time on setting up this
+ getting them sign up to Dashboard (to be able to track and assist their work).

@Zblace -- thank you for the question. That page does look right, except for it does not have the mentorship module. In order to have the mentorship module, you have to have mentors sign up on a signature list. Once the list exists with mentors, newcomers will start getting mentors assigned. @Urbanecm_WMF can give you further explanation on setting this up if needed.

I think it's a good idea to use these features in an instructional event! Something to be mindful of: when new accounts are created, 80% of them have the Growth features and 20% do not. The 20% is our "control group", which allows us to study whether the features are impactful. If you want everyone in your class to have the features, you will need to check whether they have them enabled, and if not, turn them on in preferences:

  • Go to "Preferences".
  • Under "User profile", turn on the newcomer homepage options.
  • Under "Editing", turn on the option to "Enable the editor help panel".
  • Click your username at the top of the screen to visit your homepage and see suggested edits.

Thank you for the clarification.
I will ask others on village pump and personally to join the list of
mentors.

My problem with actual class of students is super short time and I would
rather have controlled and exactly the same conditions for all (with or
without this feature) than other way around.

I have consultation with the WMF Education team and will try to see what
are the (best) options.

About enabling the features, you will have to assist some of them so that they can get the features. Sorry.

To add the Mentorship module, please fill the task description on the "Mentorship module (optional)" section. Then the configuration will be changed for your wiki. Please be careful regarding the formatting of this list.

We have one video about suggested edits. We made some minor chances, but the overall principle is the same.

[edit] We would be curious about what your students think about the features. Feel free to share any feedback with us!

i re-checked ( on hrwiki wmf.35) the items listed in the task description - no additional updates except that the translation is up to 21%).

@MMiller_WMF Since there still is ongoing work on the task (i.e. translation and Mentorship), would it be ok to keep the task in Needs More Work or to move it to Growth-Deployments Waiting for community input? I'm moving the task to both cause I want to move it out of QA column until more QA checking would be needed, but I'm not sure if it's ok to remove the task from the Current sprint.

Please correct if it's not the case.

@Ponor and I registered as mentors, but my interface still does not display Metntorship module. @Urbanecm_WMF can you chech if all is in place correctly?

We have one video about suggested edits. We made some minor chances, but the overall principle is the same.

Is this video with no sound?

Also I am somewhat confused about its target audience. It would be great to have very simple video focused on people who see this interface and its demonstration for the first time *(given this is 2021 and students range is cca 18-20years old this would not work).

We have one video about suggested edits. We made some minor chances, but the overall principle is the same.

Is this video with no sound?

Yes, it is a screen recording demonstrating how the features work. It is not supposed to be used as an educational video showing people how to edit Wikipedia, it was originally intended as a way for experienced users to see how the features work without actually having to try them.

Also I am somewhat confused about its target audience. It would be great to have very simple video focused on people who see this interface and its demonstration for the first time *(given this is 2021 and students range is cca 18-20years old this would not work).

I think the Growth team features should be intuitive for new wikipedians who sign up. Try to create a new account on Croatian Wikipedia yourself and see how the features work for yourself ;-). There should be so-called "discovery features" that automatically make you aware that there is a homepage, and that the homepage is the place for you to start working on Wikipedia.

If you find anything that you consider not intuitive (or if you have any questions!), please do feel free to let us know - I'm sure any suggestions will be welcomed.

Best, Martin

@Ponor and I registered as mentors, but my interface still does not display Metntorship module. @Urbanecm_WMF can you chech if all is in place correctly?

As of deployment, there was no mentorship list available in Q14339834 (or this task's description), so that's the reason why no mentorship module appears now. I'm happy to enable it for your wiki, but I'm not sure whether two mentors for the whole wiki can't make you feel overburdened quickly. I'll prepare a patch for it, and I'll wait for your comment on that before I deploy it.

Change 673807 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] hrwiki: Configure mentorship for Growth team features

https://gerrit.wikimedia.org/r/673807

@Zblace, we advice to have 3 mentors minimum.

@GregorB would you join?

I think you can enable it and we call in others to join and you to disable if it becomes too much too quickly.

I checked the number of new users your wiki gets each month, and you should be good to go with 2 mentors. Of course, it is better to have more people! :)

Change 673807 merged by jenkins-bot:
[operations/mediawiki-config@master] hrwiki: Configure mentorship for Growth team features

https://gerrit.wikimedia.org/r/673807

Mentioned in SAL (#wikimedia-operations) [2021-03-22T18:20:57Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 25247c9cbba3d3741908164f2d15fb8497ce8b5e: hrwiki: Configure mentorship for Growth team features (T275684) (duration: 01m 00s)

I think you can enable it and we call in others to join and you to disable if it becomes too much too quickly.

Okay, mentorship module was enabled. Enjoy!

Moving to QA for a final check it works as intended, incl. mentorship module.

Let's see how all this goes. We're hoping for more new users (who are not shy to ask for help). Zblace is advocating through [[:hr:Wikipedija:GLAM]], that seems like a good way to go. And the whole atmosphere on hr.wiki has definitely improved
.
I'm almost done with the translations, but need to find someone to review them. You know how that works: small wiki = few to zero volunteers. Would it be possible to mark all the translations as reviewed so I can see them in the interface and fix what's wrong myself?

@Ponor, we are using the translations no matter if they are reviewed or not. We rely on your expertise to determine if the translations are good enough. :)

@Trizek-WMF Strange, because everything on my Homepage tab is still mostly in English. We're at 88% translated, 14% reviewed.

If you've made the translations between Thursday and Sunday evening European time, these translations will arrive on your wiki on Thursday this week.

Translations are added or changed on wikis with the deployment train.

OK - I am having 35 young (TikTok and Instagram) students on Friday noon (CEST +2) introduced to Wikipedia and Wikimedia, so that would be tight but in time. Anyway ...

One thing that I could imagine to quickly simplify landing page is to remove Central Notice for new users. Now it displays CEE Spring 2021 campaign for which I work and will I will mention, but it should not be there adding complexity to page where UI and content are almost the same.

Moving to QA for a final check it works as intended, incl. mentorship module.

Mentorship module is present and all seems to be fine.

@Ponor @Zblace In case you *really* need the translations early (such as
for a planned event), it's possible to import them earlier, especially if
the train has a delay.

However, a manual import takes a lot of time, so I'd like to avoid it
unless it's a super important event. Since I'm not familiar with hrwiki
events, I'm not able to evaluate it.

Few questions:

  1. The help panel button (the blue bottom-right-corner round button) does not show up when reading a regular random page, but does when it's being edited, either in VE or CE. It does show up when reading random pages in other namespaces, such as Wikipedia, User, Help... and also when arriving on a regular page from "Suggested edits". Is this intentional? Why is the button not there when one's on a random article page?
  1. I've noticed quite a few "Help panel question" messages in my translations, but I don't see the option to ask a question from the help panel (only Ask you mentor is there). Is this because hr.wiki has no Community Help Desk? We do have village pump technical/categorization/images/grammar question pages (https://hr.wikipedia.org/wiki/Wikipedija:Kafić/Tehnička_pitanja) that might serve the purpose.
  1. Who can edit the list "Top help pages about editing" and where?

Thanks to all!

One thing that I could imagine to quickly simplify landing page is to remove Central Notice for new users. Now it displays CEE Spring 2021 campaign for which I work and will I will mention, but it should not be there adding complexity to page where UI and content are almost the same.

I'm not sure how we can help there.
You can edit Mediawiki:growth-homepage-banner to display a banner at the top of the homepage, redirecting to CEE spring 2021 campaign...?

Few questions:

  1. The help panel button (the blue bottom-right-corner round button) does not show up when reading a regular random page, but does when it's being edited, either in VE or CE. It does show up when reading random pages in other namespaces, such as Wikipedia, User, Help... and also when arriving on a regular page from "Suggested edits". Is this intentional? Why is the button not there when one's on a random article page?

What you describe is the default behavior. We don't want to disturb the reading experience. We also want to avoid newcomers who would use the help panel to say "there is something to fix", instead of trying to fix it by themselves. But if they click "edit", the button appears so that they can get some help if they are blocked.
Regarding Wikipedia and Help namespaces, we display the help button so that they can ask their mentors questions about rules or help contents they wouldn't understand.

  1. I've noticed quite a few "Help panel question" messages in my translations, but I don't see the option to ask a question from the help panel (only Ask you mentor is there). Is this because hr.wiki has no Community Help Desk? We do have village pump technical/categorization/images/grammar question pages (https://hr.wikipedia.org/wiki/Wikipedija:Kafić/Tehnička_pitanja) that might serve the purpose.

The default configuration as of now is to have all questions redirected to the mentors. This siupplifies the configuration, since it was really complicated to figure out the right help desk, how it works and how it is archived. Coming soon, you will be capable of defining the use of your local help desk, directly on your wiki. If not already done, please subscribe to our newsletter to get regular updates about the evolution of the tools.

  1. Who can edit the list "Top help pages about editing" and where?

Mmmmh. I thought it was done using MediaWiki:NewcomerTasks.json, but I'm apparently wrong (so as the current documentation). @Urbanecm_WMF, where can communities do this again?

Thanks to all!

Thank you for your assistance for this deployment! :)

One thing that I could imagine to quickly simplify landing page is to remove Central Notice for new users. Now it displays CEE Spring 2021 campaign for which I work and will I will mention, but it should not be there adding complexity to page where UI and content are almost the same.

I'm not sure how we can help there.
You can edit Mediawiki:growth-homepage-banner to display a banner at the top of the homepage, redirecting to CEE spring 2021 campaign...?

It is actually the opposite - banner is already displayed and I want to have it removed. I do not know how to get to edit that file as I am just plain user on HR. Can anyone of you remove banner / place empty there, to make sure nothing is displayed?

@Urbanecm_WMF It's already Wednesday and the train should be arriving tomorrow, but can you make sure translations later than Sunday are on it as well... I mean, mixed en/hr messages should not be too bad, but if this is a two-click operation for you, it'd be great to have the full interface translated. Thanks!

I will make sure the translations are there by Sunday.

It is actually the opposite - banner is already displayed and I want to have it removed. I do not know how to get to edit that file as I am just plain user on HR. Can anyone of you remove banner / place empty there, to make sure nothing is displayed?

There is a very ugly fix, which is to hide the banner only on the homepage, using the global CSS file. It would hide the banner to everyone visiting the homepage though. This is something I don't advise to do at all.

Why do you need this banner to be hidden?

OK - no problem - if it is complicated, than I just drop that idea to simplify interface for them. Tnx for elaboration.

I've updated the task description with the percentage of translation (93% is translated). The documentation is still non-translated. Also I checkedSpecial:Homepage (hrwiki wmf.36) all seem to be in place - moving the task to Test in Production|Watching.

The following two special pages have weird translations: it's possibly some Slavic language, but definitely not Croatian. Can someone please change to the names in bold:
Special:Impact -> Posebno:Djejstvo -> Posebno:Učinak_uređivanja
Special:ClaimMentee -> Posebno:Tvrde_pridošlica -> Posebno:Preuzimanje_mentorstva

Also
"Inserting images (using the visual editor): Slike" should point to https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/hr#Images (hr missing)
"Inserting references (using the visual editor): Wikipoveznice" to https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/hr#Editing_references (hr, not sq)

We have one new user who's following the edit suggestions. I myself created a new account but was not lucky enough (80% vs 20%?) to have, after completing the three-question survey, the Homepage and the Help panel enabled.
From what I can tell, everything seems to be working fine.

Any way to know who our assigned mentees are, or is that a secret?

Change 676412 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@master] i18n: Change hr translations

https://gerrit.wikimedia.org/r/676412

Change 676414 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] hrwiki: Fix help panel links

https://gerrit.wikimedia.org/r/676414

Change 676414 merged by jenkins-bot:

[operations/mediawiki-config@master] hrwiki: Fix help panel links

https://gerrit.wikimedia.org/r/676414

Mentioned in SAL (#wikimedia-operations) [2021-04-01T16:39:43Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: a7acf3357d5d148bad11a2d2718b4da56e1a0cb8: hrwiki: Fix help panel links (T275684) (duration: 01m 10s)

The following two special pages have weird translations: it's possibly some Slavic language, but definitely not Croatian. Can someone please change to the names in bold:
Special:Impact -> Posebno:Djejstvo -> Posebno:Učinak_uređivanja
Special:ClaimMentee -> Posebno:Tvrde_pridošlica -> Posebno:Preuzimanje_mentorstva

Sure. Do note that it will take up to a week to propagate.

Also
"Inserting images (using the visual editor): Slike" should point to https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/hr#Images (hr missing)
"Inserting references (using the visual editor): Wikipoveznice" to https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/hr#Editing_references (hr, not sq)

Upps! Fixed.

We have one new user who's following the edit suggestions. I myself created a new account but was not lucky enough (80% vs 20%?) to have, after completing the three-question survey, the Homepage and the Help panel enabled.
From what I can tell, everything seems to be working fine.

Creating another account usually fixes it :).

Any way to know who our assigned mentees are, or is that a secret?

Not right now, but we're working on it! We are working on a dashboard for mentors, which will have an overview of your mentees. For more details, please see https://www.mediawiki.org/wiki/Growth/Mentor_dashboard and the initial set of mockups at https://commons.wikimedia.org/wiki/File:V1_Mentor_dashboard_designs.pdf. In case you have any suggestions or questions, I'm sure @OTichonova (the design intern working on the dashboard) will like to hear any feedback about this project. You can contact her at https://www.mediawiki.org/wiki/Talk:Growth/Mentor_dashboard.

Change 676412 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] i18n: Change hr translations

https://gerrit.wikimedia.org/r/676412